Subject: mboned: RE: WGLC for draft-ietf-mboned-routingarch-06.txt

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Tue, 31 Oct 2006 13:38:50 +0200

See in-line.

Dan

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]]
> Sent: Tuesday, October 31, 2006 1:21 PM
> To: Romascanu, Dan (Dan)
> Cc: Hiroshi Ohta; [email-masked]; David Kessens
> Subject: RE: WGLC for draft-ietf-mboned-routingarch-06.txt
>
> Hi Dan,
>
> Thanks for the read,
> On Mon, 30 Oct 2006, Romascanu, Dan (Dan) wrote:
>> 1. I suggest that the Abstract mentions that this document
> obsoletes
>> and reclassifies as Historic documents related to BGMP, CBT
> and MOSPF.
>
> As the list of RFCs is rather long, I suppose that a more
> generic note would also be OK ("Obsoletes and reclassifies as
> Historic a number of older multicast protocol documents.")

Sure.

>
>> 2. In Section 2.1.7 - the reference for the CBT protocol should be
>> [RFC2189]. 2201 is the CBT architecture document.
>
> Probably should obsolete both? :-)

OK.

>
>> 3. In Section 2.7.2 -
>>
>>   'IEEE 802.1D-2004 specification describes Generic Attribute
>>    Registration Protocol (GARP), and GARP Multicast Registration
>>    Protocol (GMRP) [GMRP] is a link-layer multicast group
> application of
>>    GARP that notifies switches about IP multicast group memberships.
>>    GMRP requires support at the host stack and it has not
> been widely
>>    implemented.  Further, IEEE considers GMRP obsolete having been
>>    replaced by Multicast Multiple Registration Protocol
> (MMRP) that's
>>    being specified in IEEE 802.1ak [802.1ak].  MMRP is
> expected to be
>>    mainly used between bridges.  Some further information
> about GARP/
>>    GMRP is also available in Appendix B of [RFC3488].'
>>
>> 802.1ak is not yet approved, so the text should be more cautious in
>> declaring GMRP obsolete.
>
> The language is a bit strong, but that seemed to be the
> thrust of the informal liaison response from:
>
> http://www.iab.org/liaisons/ieee/2006-07-ieee802-liaison-report.html
>
> Is the informal liaison response not strong enough to say
> "IEEE considers GMRP obsolete"?  Maybe more correct would be
> that the particular WG considers it obsolete.  Or do you have
> a suggestion for rewording that?
>
>> Then it should be made clear that 802.1ak defines a Multiple
>> Registration Protocol (MRP) which obsoletes GARP, with GVRP
> which is
>> an application of GARP being obsolete by MMRP which is an
> application
>> of MRP.
>
> I think the reasoning for excluding MRP was that I wanted to
> avoid introducing Yet Another Three Letter Acronym which
> might confuse more than help.  But if you (or someone else)
> could suggest clear enough text replacement, I could
> certainly do this..

I was in the IEEE 802.1 room when the informal response was drafted. I
believe that if the response was formal the IEEE folks would have been
more careful about making definite statements about a protocol that was
not yet finally approved.

Here is a try for a more careful but yet clear (IMO) wording:

    'IEEE 802.1D-2004 specification describes Generic Attribute
     Registration Protocol (GARP), and GARP Multicast Registration
     Protocol (GMRP) [GMRP] is a link-layer multicast group application
of
     GARP that notifies switches about IP multicast group memberships.
     GMRP requires support at the host stack and it has not been widely
     implemented.  Further, IEEE 802.1 considers GARP and GMRP obsolete
being
     replaced by the Multiple Registration Protocol (MRP) and the
Multicast Multiple
     Registration Protocol (MMRP) that are being specified in IEEE
802.1ak [802.1ak] .
     MMRP is expected to be mainly used between bridges.
     Some further information about GARP/
     GMRP is also available in Appendix B of [RFC3488].'

BTW - I am not sure that the last phrase is still needed after we
mentioned that GARP and GMRP are obsolete.

>
> --
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
>
_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/